From c40e96a76f4a5cedf069669a5596e475830ba4ea Mon Sep 17 00:00:00 2001
From: Per Cederqvist <ceder@lysator.liu.se>
Date: Sat, 12 Mar 2005 22:49:13 +0000
Subject: [PATCH] New file.

---
 test/hello.sh |  3 +++
 test/tool.sh  | 22 ++++++++++++++++++++++
 2 files changed, 25 insertions(+)
 create mode 100755 test/hello.sh
 create mode 100755 test/tool.sh

diff --git a/test/hello.sh b/test/hello.sh
new file mode 100755
index 0000000..4856528
--- /dev/null
+++ b/test/hello.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+echo hello, world
+exit 0
diff --git a/test/tool.sh b/test/tool.sh
new file mode 100755
index 0000000..470a5af
--- /dev/null
+++ b/test/tool.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+n=-n
+e=
+while :
+do
+  echo $n "prompt: $e"
+  read cmd args
+  if test "$cmd" = echo
+  then
+      echo You wrote: $args
+  elif test "$cmd" = stderr
+  then
+      echo You wrote: $args >&2
+  elif test "$cmd" = bye
+  then
+      echo Exiting
+      exit 0
+  else
+      echo unknown command: $cmd
+      exit 1
+  fi
+done
-- 
GitLab